POST /data/tasks/{task_id}/comments/{comment_id}/ack

Acknowledge a specific comment. If it's already acknowledged, remove the acknowledgement.

Path parameters

  • task_id Required

    Unique identifier of the task

  • comment_id Required

    Unique identifier of the comment

Responses

  • 200 application/json

    Comment acknowledgement status successfully updated

    Hide response attributes Show response attributes object
    • id string(uuid)

      Comment unique identifier

    • acknowledged boolean

      Whether the comment is acknowledged

POST /data/tasks/{task_id}/comments/{comment_id}/ack
curl -X POST "http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/comments/b35b7fb5-df86-5776-b181-68564193d36/ack" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/comments/b35b7fb5-df86-5776-b181-68564193d36/ack"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request POST 'http://api.example.com/data/tasks/a24a6ea4-ce75-4665-a070-57453082c25/comments/b35b7fb5-df86-5776-b181-68564193d36/ack' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "id": "b35b7fb5-df86-5776-b181-68564193d36",
  "acknowledged": true
}